[SRU] Juju 2.3.1

Bug #1718213 reported by Nicholas Skaggs on 2017-09-19
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
juju-core (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Michael Hudson-Doyle
Zesty
Undecided
Michael Hudson-Doyle

Bug Description

This syncs juju with the upstream release bringing the latest bugfixes and enhancements.

[SRU Information]
juju-core has a stable release exception, including for major version updates, https://wiki.ubuntu.com/JujuUpdates.

[Impact]
A full list of targeted bugs can be seen against the milestone, and the intervening milestones:

https://launchpad.net/juju/+milestone/2.0.3
https://launchpad.net/juju/+milestone/2.0.4
https://launchpad.net/juju/+milestone/2.1.0
https://launchpad.net/juju/+milestone/2.1.1
https://launchpad.net/juju/+milestone/2.1.2
https://launchpad.net/juju/+milestone/2.1.3
https://launchpad.net/juju/+milestone/2.2.0
https://launchpad.net/juju/+milestone/2.2.1
https://launchpad.net/juju/+milestone/2.2.2
https://launchpad.net/juju/+milestone/2.2.3
https://launchpad.net/juju/+milestone/2.2.4
https://launchpad.net/juju/+milestone/2.2.5
https://launchpad.net/juju/+milestone/2.2.6
https://launchpad.net/juju/+milestone/2.3.0
https://launchpad.net/juju/+milestone/2.3.1

[QA/Testing]
Juju practices continuous integration and testing of the juju source tree. The results for this release can be seen here:

http://qa.jujucharms.com/releases/6058

In addition, juju has adt test coverage for all supported archs, http://autopkgtest.ubuntu.com/packages/j/juju-core/.

Finally, manual verification and testing of the package has been done per https://wiki.ubuntu.com/JujuUpdates

CVE References

Changed in juju-core (Ubuntu):
status: New → Fix Released
Changed in juju-core (Ubuntu Xenial):
status: New → Triaged
assignee: nobody → Michael Hudson-Doyle (mwhudson)
Changed in juju-core (Ubuntu):
status: Fix Released → Invalid
Łukasz Zemczak (sil2100) wrote :

Thanks, this looks good-ish, accepting. From cosmetics it would be good if the 'export DH_VERBOSE=1' in debian/rules got commented out again as we don't need that during regular builds - but that's more like a little thing that should be included in the next release.

Changed in juju-core (Ubuntu Zesty):
status: New → Fix Committed
tags: added: verification-needed verification-needed-zesty

Hello Nicholas, or anyone else affected,

Accepted juju-core into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.4-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.4-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in juju-core (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed-xenial

The package works successfully, however, dh_install is missing a file required for bash completion. We should ensure this file is also copied to ensure bash completion continues to work for new installs.

Changed in juju-core (Ubuntu Xenial):
status: Fix Committed → In Progress
Changed in juju-core (Ubuntu Zesty):
status: Fix Committed → In Progress
Changed in juju-core (Ubuntu Xenial):
status: In Progress → Triaged
Changed in juju-core (Ubuntu Zesty):
status: In Progress → Triaged
Changed in juju-core (Ubuntu Xenial):
status: Triaged → In Progress
Changed in juju-core (Ubuntu Zesty):
status: Triaged → In Progress
Changed in juju-core (Ubuntu Xenial):
status: In Progress → Triaged
Changed in juju-core (Ubuntu Zesty):
status: In Progress → Triaged
assignee: nobody → Michael Hudson-Doyle (mwhudson)
summary: - [SRU] Juju 2.2.4
+ [SRU] Juju 2.2.6

Due to bug 1727355 which has a critical fix required for juju to operate properly on xenial, we're aiming to land juju 2.2.6 now.

description: updated
Changed in juju-core (Ubuntu Xenial):
status: Triaged → In Progress
Changed in juju-core (Ubuntu Zesty):
status: Triaged → In Progress

Hello Nicholas, or anyone else affected,

Accepted juju-core into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.6-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in juju-core (Ubuntu Zesty):
status: In Progress → Fix Committed
Changed in juju-core (Ubuntu Xenial):
status: In Progress → Fix Committed
Brian Murray (brian-murray) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.6-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Both zesty and xenial are verified and working successfully. I was able to bootstrap and deploy on multiple providers, update-clouds and tab completion worked, binaries and version are all as expected.

tags: added: verification-done verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-xenial verification-needed-zesty

Hello Nicholas, or anyone else affected,

Accepted juju-core into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.6-0ubuntu0.17.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-zesty
removed: verification-done verification-done-zesty
tags: added: verification-needed-xenial
removed: verification-done-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.6-0ubuntu0.16.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.6-0ubuntu0.17.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.2.6-0ubuntu0.16.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

summary: - [SRU] Juju 2.2.6
+ [SRU] Juju 2.3.1
description: updated
description: updated
Brian Murray (brian-murray) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into zesty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.3.1-0ubuntu0.17.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-zesty to verification-done-zesty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-zesty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Brian Murray (brian-murray) wrote :

Hello Nicholas, or anyone else affected,

Accepted juju-core into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/juju-core/2.3.1-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Nicholas Skaggs (nskaggs) wrote :

Both zesty and xenial are verified. Bootstrap and deploy, update-clouds and tab completion all working.

tags: added: verification-done verification-done-xenial verification-done-zesty
removed: verification-needed verification-needed-xenial verification-needed-zesty
David Britton (davidpbritton) wrote :

Hi Nicholas --

Could you please attach the versions you tested to this bug report per the template.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-core - 2.3.1-0ubuntu0.17.04.1

---------------
juju-core (2.3.1-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)

juju-core (2.2.6-0ubuntu0.17.04.3) zesty; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

juju-core (2.2.6-0ubuntu0.17.04.2) zesty; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

juju-core (2.2.6-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

juju-core (2.2.4-0ubuntu0.17.04.2) zesty; urgency=medium

  * Fix installation of bash completion scripts.

juju-core (2.2.4-0ubuntu0.17.04.1) zesty; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6. (Note that
    golang-go is still a build dependency as it is required to build the
    embedded go 1.8.3).
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Nicholas Skaggs <email address hidden> Wed, 13 Dec 2017 17:38:04 -0500

Changed in juju-core (Ubuntu Zesty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for juju-core has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package juju-core - 2.3.1-0ubuntu0.16.04.1

---------------
juju-core (2.3.1-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)

juju-core (2.2.6-0ubuntu0.16.04.3) xenial; urgency=medium

  * Only juju 2.3+ supports cidr expansion for no proxy, fix for 2.2

juju-core (2.2.6-0ubuntu0.16.04.2) xenial; urgency=medium

  * Add no_proxy for lxd subnet in support of adt tests

juju-core (2.2.6-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)
  * Simplify use of embedded dependencies
  * Remove DH_VERBOSE=1
  * Ensure juju bootstrap succeeds with bionic in distro-info-data (LP: #1727355)

juju-core (2.2.4-0ubuntu0.16.04.2) xenial; urgency=medium

  * Fix installation of bash completion scripts.

juju-core (2.2.4-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream release. (LP: #1718213)
  * Remove debian/patches/CVE-2017-9232.patch, included upstream.
  * Improved support for mixing vendored and archive dependencies.
  * Killed old code for building on saucy, precise and with gccgo.
  * Embed Go 1.8.3 as upstream no longer builds with Go 1.6.
  * Switch golang.org/x/crypto dependency to vendorized.

 -- Nicholas Skaggs <email address hidden> Tue, 12 Dec 2017 14:41:40 -0500

Changed in juju-core (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers